From f33c871b6046253c496f32e4689c1bf8048a9d47 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 05:30:53 +0000
Subject: [PATCH 743/2232] Fix compilation of cxx-gen unit test


---

diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index aa60b05..186e6dd 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -31,6 +31,7 @@ pub fn generate_header_and_cc(rust_source: TokenStream, opt: Opt) -> Result<Gene
 
 #[cfg(test)]
 mod test {
+    use crate::Opt;
     use quote::quote;
 
     #[test]
@@ -46,7 +47,8 @@ mod test {
                 }
             }
         };
-        let code = crate::generate_header_and_cc(rs).unwrap();
+        let opt = Opt::default();
+        let code = crate::generate_header_and_cc(rs, opt).unwrap();
         assert!(code.cxx.len() > 0);
         assert!(code.header.len() > 0);
     }
@@ -54,6 +56,7 @@ mod test {
     #[test]
     fn test_negative() {
         let rs = quote! {};
-        assert!(crate::generate_header_and_cc(rs).is_err())
+        let opt = Opt::default();
+        assert!(crate::generate_header_and_cc(rs, opt).is_err())
     }
 }

